# picocolors

    npm install picocolors

A smaller and faster alternative to [nanocolors](https://github.com/ai/nanocolors).

```javascript
import { green, italic } from "picocolors";

console.log(green(`How are ${italic(`you`)} doing?`));
```

## Prior Art

- [Nanocolors](https://github.com/ai/nanocolors) by [@ai](github.com/ai)
- [Colorette](https://github.com/jorgebucaran/colorette) by [@jorgebucaran](github.com/jorgebucaran)
- [Kleur](https://github.com/lukeed/kleur) by [@lukeed](github.com/lukeed)

## Benchmarks

`nanocolors` [benchmark](https://github.com/ai/nanocolors/tree/main/test):

```diff
$ ./test/complex-benchmark.js
chalk          2,618,824 ops/sec
cli-color        326,445 ops/sec
ansi-colors    1,057,188 ops/sec
kleur          2,543,659 ops/sec
kleur/colors   2,841,679 ops/sec
colorette      3,219,038 ops/sec
nanocolors     3,672,600 ops/sec
+picocolors     6,079,950 ops/sec
```

`colorette` [benchmark](https://github.com/jorgebucaran/colorette/tree/main/bench):

```diff
$ npm start
+picocolors × 1,203,773 ops/sec
chalk × 474,359 ops/sec
kleur × 482,915 ops/sec
colors × 233,138 ops/sec
colorette × 657,896 ops/sec
nanocolors × 660,817 ops/sec
ansi-colors × 290,986 ops/sec
```

## Replacing nanocolors

Just replace imports

```diff
-import { green, italic } from 'nanocolors';
+import { green, italic } from 'picocolors';
```
